-- If LuaRocks is installed, make sure that packages installed through it are
-- found (e.g. lgi). If LuaRocks is not installed, do nothing.
pcall(require, "luarocks.loader")

local gears = require("gears")
local awful = require("awful")
local beautiful = require("beautiful")
require("awful.autofocus")

local main = require("main")
local bindings = require("bindings")
local theme = require("theme")
local statusbar = require("deco.statusbar")

beautiful.init(theme)

RC = {}
RC.vars = main.user_vars()
RC.layouts = main.layouts()
RC.tags = main.tags()

awful.spawn.with_shell("picom -b")

awful.layout.layouts = RC.layouts

awful.screen.connect_for_each_screen(statusbar)

-- Set keys
root.buttons(bindings.global_buttons())
root.keys(bindings.global_keys())
awful.rules.rules = main.rules(bindings.client_keys(), bindings.client_buttons())
